/*
 * AppController.j
 * CALMS.capp
 *
 * Created by You on June 21, 2014.
 * Copyright 2014, Your Company All rights reserved.
 */

@import <Foundation/Foundation.j>
@import <AppKit/AppKit.j>
@import "LMSLoginWindowController.j"


@implementation AppController : CPObject
{
  LMSLoginWindowController loginWindowController;
  @outlet CPWindow theWindow;
}

- (void)awakeFromCib
{
  // This is called when the cib is done loading.
  // You can implement this method on any object instantiated from a Cib.
  // It's a useful hook for setting up current UI values, and other things.

  // In this case, we want the window from Cib to become our full browser window
  [theWindow setFullPlatformWindow:YES];
}

- (void)applicationDidFinishLaunching:(CPNotification)aNotification
{
  loginWindowController = [[LMSLoginWindowController alloc] initWithDelegate:self callbackSelector:@selector(loginSucceeded)];
  alert("About to present login window "+loginWindowController);
  [loginWindowController presentLoginWindow];
}

- (void)loginSucceeded
{
	alert("Successful log in with profile: "+[loginWindowController profile]);
}

@end
