@import <Foundation/Foundation.j>
@import <AppKit/AppKit.j>

kLMSLoginSuccessCode = 1;
kLMSLoginRegisterCode = 2;

@implementation LMSLoginWindowController : CPWindowController
{
  id delegate;
  SEL callbackSelector;
  CPDictionary profile @accessors;
}

- (id)initWithDelegate:(id)del callbackSelector:(SEL)selector
{
	self = [super initWithWindowCibName:"LogIn"];
	if (self)
	{
		delegate = del;
		callbackSelector = selector;
	}
	return self;
}

- (void)presentLoginWindow
{
//	alert([self window]+"\n"+[CPApp mainWindow]);
//    [CPApp beginSheet:[self window] modalForWindow:[CPApp mainWindow] modalDelegate:nil didEndSelector:nil contextInfo:nil];
[self showWindow:self];
//  var returnCode = [CPApp runModalForWindow:[self window]];
  [[self window] orderOut:self];
}

- (IBAction)login:(id)sender
{
  [CPApp stopModalWithCode:kLMSLoginSuccessCode];
}

- (IBAction)register:(id)sender
{
  [CPApp stopModalWithCode:kLMSLoginRegisterCode];
}

@end